/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.coordinate.model;

import com.google.api.client.json.GenericJson;

/**
 * Current state of a job.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Google Maps Coordinate API. For a detailed
 * explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class JobState extends GenericJson {

  /**
   * Email address of the assignee.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String assignee;

  /**
   * Custom fields.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private CustomFields customFields;

  /**
   * Customer name.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String customerName;

  /**
   * Customer phone number.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String customerPhoneNumber;

  /**
   * Identifies this object as a job state.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Job location.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Location location;

  /**
   * Note added to the job.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<String> note;

  /**
   * Job progress.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String progress;

  /**
   * Job title.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String title;

  /**
   * Email address of the assignee.
   * The value returned may be {@code null}.
   */
  public String getAssignee() {
    return assignee;
  }

  /**
   * Email address of the assignee.
   * The value set may be {@code null}.
   */
  public JobState setAssignee(String assignee) {
    this.assignee = assignee;
    return this;
  }

  /**
   * Custom fields.
   * The value returned may be {@code null}.
   */
  public CustomFields getCustomFields() {
    return customFields;
  }

  /**
   * Custom fields.
   * The value set may be {@code null}.
   */
  public JobState setCustomFields(CustomFields customFields) {
    this.customFields = customFields;
    return this;
  }

  /**
   * Customer name.
   * The value returned may be {@code null}.
   */
  public String getCustomerName() {
    return customerName;
  }

  /**
   * Customer name.
   * The value set may be {@code null}.
   */
  public JobState setCustomerName(String customerName) {
    this.customerName = customerName;
    return this;
  }

  /**
   * Customer phone number.
   * The value returned may be {@code null}.
   */
  public String getCustomerPhoneNumber() {
    return customerPhoneNumber;
  }

  /**
   * Customer phone number.
   * The value set may be {@code null}.
   */
  public JobState setCustomerPhoneNumber(String customerPhoneNumber) {
    this.customerPhoneNumber = customerPhoneNumber;
    return this;
  }

  /**
   * Identifies this object as a job state.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this object as a job state.
   * The value set may be {@code null}.
   */
  public JobState setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Job location.
   * The value returned may be {@code null}.
   */
  public Location getLocation() {
    return location;
  }

  /**
   * Job location.
   * The value set may be {@code null}.
   */
  public JobState setLocation(Location location) {
    this.location = location;
    return this;
  }

  /**
   * Note added to the job.
   * The value returned may be {@code null}.
   */
  public java.util.List<String> getNote() {
    return note;
  }

  /**
   * Note added to the job.
   * The value set may be {@code null}.
   */
  public JobState setNote(java.util.List<String> note) {
    this.note = note;
    return this;
  }

  /**
   * Job progress.
   * The value returned may be {@code null}.
   */
  public String getProgress() {
    return progress;
  }

  /**
   * Job progress.
   * The value set may be {@code null}.
   */
  public JobState setProgress(String progress) {
    this.progress = progress;
    return this;
  }

  /**
   * Job title.
   * The value returned may be {@code null}.
   */
  public String getTitle() {
    return title;
  }

  /**
   * Job title.
   * The value set may be {@code null}.
   */
  public JobState setTitle(String title) {
    this.title = title;
    return this;
  }

}
